# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriterVLX Class Reference

A ResourceLoadWriter capable of reading Visualization Library's VLT and VLB files. More...

`#include <ioVLX.hpp>`

Inheritance diagram for vl::LoadWriterVLX:

List of all members.

## Public Member Functions

| LoadWriterVLX ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &path, ResourceDatabase *res_db) const
bool | writeResource (VirtualFile *file, ResourceDatabase *res_db) const

## Detailed Description

A ResourceLoadWriter capable of reading Visualization Library's VLT and VLB files.

Definition at line 82 of file ioVLX.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterVLX::LoadWriterVLX | ( | ) | `[inline]`

Definition at line 87 of file ioVLX.hpp.

## Member Function Documentation

ref<ResourceDatabase> vl::LoadWriterVLX::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 89 of file ioVLX.hpp.

References vl::isVLB(), vl::isVLT(), vl::loadVLB(), vl::loadVLT(), and NULL.

ref<ResourceDatabase> vl::LoadWriterVLX::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 100 of file ioVLX.hpp.

References vl::isVLB(), vl::isVLT(), vl::loadVLB(), vl::loadVLT(), and NULL.

bool vl::LoadWriterVLX::writeResource | ( | const String & | path,
|  | ResourceDatabase * | res_db
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 111 of file ioVLX.hpp.

References vl::String::extractFileExtension(), vl::saveVLB(), vl::saveVLT(), and vl::String::toLowerCase().

bool vl::LoadWriterVLX::writeResource | ( | VirtualFile * | file,
|  | ResourceDatabase * | res_db
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 122 of file ioVLX.hpp.

References vl::String::extractFileExtension(), vl::VirtualFile::path(), vl::saveVLB(), vl::saveVLT(), and vl::String::toLowerCase().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioVLX.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.